> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.amniscient.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.amniscient.com/_mcp/server.

# Find Object Folders

GET https://api.amniscient.com/folder/detection-item

Find existing object folders within your organization's library.

Reference: https://docs.amniscient.com/api/api-reference/find-object-folder

## Request

### Query parameters

- `organization_id` (string, required) — Your organization's unique identifier.
- `search` (string, optional) — A search term to filter your object folder results by folder name.
- `page` (double, optional) — The starting page of the response results. By default, response results will begin on page 1.
- `limit` (double, optional) — The number of results per page in the response. By default, pages will have 10 results per page.

### Headers

- `x-api-key` (string, required) — Your organization's active API Key.

## Response

### 200

200 - Folders retrieved successfully

- `data` (list of DetectionItemGetResponsesContentApplicationJsonSchemaDataItems, optional) — An array of folders returned based on your query. If a folder was not found, this array will be empty.
- `total` (integer, optional) — The total number of folders found based on your query.
- `limit` (integer, optional) — The number of results per page in the response. By default, pages will have 10 results per page.
- `page` (integer, optional) — The starting page of the response results.

## Errors

### 400 Bad Request Error

Invalid request

- `status` (string, optional) — A status code denoting success or failure.
- `message` (string, optional) — A message describing the successful action or error state.

### 401 Unauthorized Error

Unauthorized

- `status` (string, optional) — A status code denoting success or failure.
- `message` (string, optional) — A message describing the successful action or error state.

## Types

### DetectionItemGetResponsesContentApplicationJsonSchemaDataItems

- `detection_item_collection_map` (DetectionItemGetResponsesContentApplicationJsonSchemaDataItemsDetectionItemCollectionMap, optional) — A summary of how many objects in the folder returned are collected or uncollected.
- `id` (string, optional) — The folder id of the folder returned within your organization's library.
- `name` (string, optional) — The folder name of the folder returned within your organization's library.
- `organization_id` (string, optional) — Your organization's unique identifier.
- `created_at` (datetime, optional) — The date and time at which this folder was originally created within your organization's library.
- `updated_at` (datetime, optional) — The date and time at which this folder was last updated within your organization's library.
- `deleted_at` (datetime, optional) — The date and time at which this folder was deleted within your organization's library. This value will always be null for newly created folders.
- `created_by` (string, optional) — The email of the user that originally created this folder within your organization's library. If this parameter is left empty, the value will default to 'API'.

### DetectionItemGetResponsesContentApplicationJsonSchemaDataItemsDetectionItemCollectionMap

A summary of how many objects in the folder returned are collected or uncollected.

- `collected` (integer, optional) — The total number of collected objects within this folder.
- `uncollected` (integer, optional) — The total number of uncollected objects within this folder.

## Examples

**Response**

```json
{
  "data": [
    {
      "detection_item_collection_map": {
        "collected": 0,
        "uncollected": 0
      },
      "id": "c977ce0b-e710-402a-9c88-f1496e3ec626",
      "name": "New Objects",
      "organization_id": "0fa18537-d3d0-4a5c-a82c-b80bb6a7b1b8",
      "created_at": "2026-01-22T17:18:24.876Z",
      "updated_at": "2026-01-22T17:19:44.359Z",
      "created_by": "API"
    }
  ],
  "total": 3,
  "limit": 10,
  "page": 1
}
```

**SDK Code**

```python Objects retrieved successfully
import requests

url = "https://api.amniscient.com/folder/detection-item"

querystring = {"limit":"10","organization_id":"organization_id","page":"1"}

headers = {"x-api-key": "x-api-key"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Objects retrieved successfully
const url = 'https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1';
const options = {method: 'GET', headers: {'x-api-key': 'x-api-key'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Objects retrieved successfully
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "x-api-key")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Objects retrieved successfully
require 'uri'
require 'net/http'

url = URI("https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = 'x-api-key'

response = http.request(request)
puts response.read_body
```

```java Objects retrieved successfully
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1")
  .header("x-api-key", "x-api-key")
  .asString();
```

```php Objects retrieved successfully
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1', [
  'headers' => [
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Objects retrieved successfully
using RestSharp;

var client = new RestClient("https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "x-api-key");
IRestResponse response = client.Execute(request);
```

```swift Objects retrieved successfully
import Foundation

let headers = ["x-api-key": "x-api-key"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.amniscient.com/folder/detection-item?limit=10&organization_id=organization_id&page=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```